<?php

include 'load.php';

?>

<!DOCTYPE html>
<html lang="en">

<head>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
	<meta name="description" content="POS - Eat More Resturant   | Pos & Invetory System | Dashboard">
	<meta name="keywords" content="Eat More Resturant   | Pos & Invetory System | Dashboard">
	<meta name="author" content="Eat More Resturant   | Pos & Invetory System | Dashboard">
	<meta name="robots" content="noindex, nofollow">

	<title>Suppler Wise Product Report | Eat More Resturant   | Pos & Invetory System | Dashboard</title>

	<?php
	require_once 'headercss.php';
	?>

</head>

<body>

	<div class="main-wrapper">
		<?php
		require_once 'header.php';
		?>

		<?php
		require_once 'navbar.php';
		?>

		<div class="page-wrapper">
			<div class="content">
				<div class="page-header">
					<div class="page-title">
						<h4>Suppler Wise Product Report</h4>
						<h6>Manage your Products</h6>
					</div>
				</div>

				<div class="card">
					<div class="card-body">
						<div class="table-top">
										<?php 
											if(!empty($_GET['supplier'])){
												$supplier = $_GET['supplier'];
												
											}else{
												$supplier ="";
											}   
											if(!empty($_GET['start_date']) && !empty($_GET['end_date'])){
												$startdate = $_GET['start_date'];
												$enddate = $_GET['end_date'];
												
											}else{
												$startdate = "";
												$enddate = "";
											}
										
										?>
						</div>
                        <form action="#" method="GET" class="mb-4">
	<div class="row">
		<div class="col-lg-3 col-sm-6 col-12">
		<div class="form-group">
			<label for="start-date">Supplier</label>
			<select class="form-control select2" name="supplier"> 
				<option value="">Select Supplier</option>
				<?php 
				
					$sql = "SELECT * FROM mobilesuppliers";
					$result = $conn->query($sql);

					if ($result->num_rows > 0) {
						while($row = $result->fetch_assoc()) { ?>
						<option value="<?php echo $row['spid']; ?>"><?php echo $row['spname']; ?></option>
					<?php }
					}
				?>
			</select>
		</div>
		</div>
		<div class="col-lg-3 col-sm-6 col-12">
													<div class="form-group">
														<label for="start-date">Start Date:</label>
														<input type="date" id="start-date" name="start_date"
															class="form-control">
													</div>
												</div>
												<div class="col-lg-3 col-sm-6 col-12">
													<div class="form-group">
														<label for="end-date">End Date:</label>
														<input type="date" id="end-date" name="end_date"
															class="form-control">
													</div>
												</div>
		<div class="col-lg-3 col-sm-6 col-12">
		<button class="btn btn-secondary" type="submit" name="search" style="margin-top:30px;width:100%;">Search</button>
		</div>
	</div>
</form>
						<div class="table-responsive">
<table class="table" id="betable">
<thead>
									<tr>
										<th>#ID</th>
										<th>Product Code</th>
										<th>Item Code/Barcode</th>
										<th>Item Name</th>
										<th>Category</th>
										<th>Sub Category</th>
										<th>Stock</th>
										<th>Supplier</th>
										<th>Date/Time</th>
									</tr>
								</thead>
								<tbody>
								<?php 
								if(isset($_GET['search'])){
									
									$count=0;
									
									if(!empty($_GET['supplier'])){
										$supplier = $_GET['supplier'];
										$supchage = "AND mobileproducts.supplier='$supplier'";
									}else{
										$supchage ="";
									}   
									if(!empty($_GET['start_date']) && !empty($_GET['end_date'])){
										$startdate = $_GET['start_date'];
										$enddate = $_GET['end_date'];
										$datechage = "AND mobileproducts.add_date BETWEEN '$startdate' AND '$enddate'";
									}else{
										$datechage = "";
									}
								
								$sql = "SELECT * FROM mobileproducts WHERE prid!='0' $supchage $datechage order by prcode ASC";
                                      
										$result = $conn->query($sql); 
                                        if ($result->num_rows > 0) {
                                            $c = 1;
                                            while($row = $result->fetch_assoc()) { 
												$productid = $row['prid'];
												
												$count++;
												
												?>
                                                <tr>
                                                <td><?php echo number_format($count,0); ?></td>
                                                <td><?php echo $row['prcode']; ?></td>
												<td><?php echo $row['itemcode']; ?></td>
												<td><?php echo $row['proname']; ?></td>
                                                <td><?php
if($row['category'] == "0"){
													
												}else{	
												$id1 = $row['category'];  

												$query1 = $DB_con->prepare('SELECT catename FROM mobilecategory WHERE ctid='.$id1);

												$query1->execute();

												$result1 = $query1->fetch();

												echo $result1['catename'];
}
												?></td>
                                                <td><?php
if($row['subcategory'] == "0"){
													
												}else{	
												$id3 = $row['subcategory'];  

												$query3 = $DB_con->prepare('SELECT subname FROM mobilesubcategory WHERE sbid='.$id3);

												$query3->execute();

												$result3 = $query3->fetch();

												echo $result3['subname'];
}
												?></td>
												<td><?php $sql2 = "SELECT * FROM tbl_stock WHERE prid='$productid'";  
												$result2 = mysqli_query($conn,$sql2);
												$row2 = mysqli_fetch_array($result2);
												echo $row2['qty'];
												?></td>
                                                <td><?php
if($row['supplier'] == "0"){
													
												}else{	
												$id2 = $row['supplier'];  

												$query2 = $DB_con->prepare('SELECT spname,vtype FROM mobilesuppliers WHERE spid='.$id2);

												$query2->execute();

												$result2 = $query2->fetch();

												echo $result2['spname']."".$result2['vtype'];
}
												?></td>
                                                <td><?php echo $row['add_date']; ?></td>
                                                </tr>
                                         <?php  
                                        $c++; 
                                        }
                                        }
									} 
                                        ?>
								</tbody>
							</table>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

<?php require_once 'footerjs.php'; ?>
	
</body><div class="table-responsive">
<table class="table" id="betable">
<thead>
</html>